Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Adds a text note to a token.

HTTP request

POST /Agent/Tokens/AddTextNote

Authentication

Requires a valid JWT bearer token.

Request (JSON)

{
	"tokenId":Required(Str(PTokenId)),
	"note":Required(Str(PNote)),
	"personal":Required(Boolean(PPersonal))
}

Input parameters

ParameterDescription
PTokenIdID of token.
PNoteText note to add.
PPersonalIf the note is personal or not. Personal notes are deleted when the token changes owner.

Response (JSON)

{
	"Note":Required(PNote)
}

Response parameters

ParameterDescription
PNoteGenerated note added to the token.

Notes

This endpoint uses the request schema notation described in Pattern matching.